org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAEmbeddableTypeMapType

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAEmbeddableTypeMapType

-     public class JPAEmbeddableTypeMapType
      extends Object

  The default name for EDM complex type is derived from JPA Embeddable type name. This can be overriden using JPAEmbeddableTypeMapType.

  Java class for JPAEmbeddableTypeMapType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JPAEmbeddableTypeMapType">
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="EDMComplexType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
       <element name="JPAAttributes"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPAAttributeMapType"/>
       </sequence>
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       <attribute name="exclude" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
       </restriction>
       </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `edmComplexType`
    `protected Boolean` | `exclude`
    `protected JPAAttributeMapType` | `jpaAttributes`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAEmbeddableTypeMapType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEDMComplexType()` Gets the value of the edmComplexType property.
    `JPAAttributeMapType` | `getJPAAttributes()` Gets the value of the jpaAttributes property.
    `String` | `getName()` Gets the value of the name property.
    `boolean` | `isExclude()` Gets the value of the exclude property.
    `void` | `setEDMComplexType(String value)` Sets the value of the edmComplexType property.
    `void` | `setExclude(Boolean value)` Sets the value of the exclude property.
    `void` | `setJPAAttributes(JPAAttributeMapType value)` Sets the value of the jpaAttributes property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edmComplexType

          protected String edmComplexType

    - #### jpaAttributes

          protected JPAAttributeMapType jpaAttributes

    - #### name

          protected String name

    - #### exclude

          protected Boolean exclude

  - ### Constructor Detail

    - #### JPAEmbeddableTypeMapType

          public JPAEmbeddableTypeMapType()

  - ### Method Detail

    - #### getEDMComplexType

          public String getEDMComplexType()

      Gets the value of the edmComplexType property.
      Returns:
        possible object is `String`

    - #### setEDMComplexType

          public void setEDMComplexType(String value)

      Sets the value of the edmComplexType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getJPAAttributes

          public JPAAttributeMapType getJPAAttributes()

      Gets the value of the jpaAttributes property.
      Returns:
        possible object is `JPAAttributeMapType`

    - #### setJPAAttributes

          public void setJPAAttributes(JPAAttributeMapType value)

      Sets the value of the jpaAttributes property.
      Parameters:
        `value` - allowed object is `JPAAttributeMapType`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### isExclude

          public boolean isExclude()

      Gets the value of the exclude property.
      Returns:
        possible object is `Boolean`

    - #### setExclude

          public void setExclude(Boolean value)

      Sets the value of the exclude property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.